#ifndef __el2__shot_h
#define __el2__shot_h

#include <iostream>
#include <vector>

namespace el2 {

class Entity;

class Shot {
	unsigned int timestamp;
public:
	float x,y,z;
	bool hit;

	Shot();
	void init();
	void draw();

	void tick(int ticks);

	static void add(Entity *e);
	static void add(float x,float y,float z);
	static void tick_all(int ticks);
	static void draw_all();
};


} //namespace

#endif
