#include "random.h"

#include <iostream>


namespace el2 {

static bool seeded=false;


void Random::seed() {
	seed(time(NULL));
}


void Random::seed(unsigned int s) {
	srand(s);
	seeded=true;
}



unsigned int Random::get() {
	return rand();
}

unsigned int Random::get(unsigned int below) {
	return get()%below;
}



Random *sirg=NULL;

Random *Random::instance() {
	if (sirg==NULL) {
		sirg=new Random();
		sirg->seed();
	}
	return sirg;
}


}
